Upstream information

CVE-2018-7750 at MITRE

Description

transport.py in the SSH server implementation of Paramiko before 1.17.6, 1.18.x before 1.18.5, 2.0.x before 2.0.8, 2.1.x before 2.1.5, 2.2.x before 2.2.3, 2.3.x before 2.3.2, and 2.4.x before 2.4.1 does not properly check whether authentication is completed before processing other requests, as demonstrated by channel-open. A customized SSH client can simply skip the authentication step.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 10
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
SUSE Bugzilla entry: 1085276 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • python-paramiko >= 2.0.8-3.3.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-566
SUSE Enterprise Storage 3
  • python-paramiko >= 1.15.2-2.6.1
Patchnames:
SUSE-Storage-3-2018-588
SUSE Enterprise Storage 4
  • python-paramiko >= 2.0.8-3.3.1
Patchnames:
SUSE-Storage-4-2018-566
SUSE Linux Enterprise Module for Basesystem 15
  • python2-paramiko >= 2.4.1-1.15
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA python2-paramiko
SUSE Linux Enterprise Module for Public Cloud 15
  • python3-paramiko >= 2.4.1-1.15
Patchnames:
SUSE Linux Enterprise Module for Public Cloud 15 GA python3-paramiko
SUSE OpenStack Cloud 6
  • python-paramiko >= 1.15.2-2.6.1
Patchnames:
SUSE-OpenStack-Cloud-6-2018-588
SUSE OpenStack Cloud 7
  • python-paramiko >= 2.0.8-3.3.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-566
openSUSE Leap 15.0
  • python2-paramiko >= 2.4.1-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA python2-paramiko
openSUSE Leap 42.3
  • python-paramiko >= 2.0.8-4.3.1
Patchnames:
openSUSE-2018-305


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 python-paramiko Ignore
OpenStack Cloud Magnum Orchestration 7.0 python-paramiko Released
SUSE Linux Enterprise Module for Public Cloud 12 python-paramiko Affected
SUSE Openstack Cloud 6 python-paramiko Released
SUSE Openstack Cloud 7 python-paramiko Released
SUSE Storage 3 python-paramiko Released
SUSE Storage 4 python-paramiko Released
SUSE Storage 5 python-paramiko Affected